@ECHO OFF
REM CursorMultiply by skinme! (http://skinme.cjb.net)
REM CursorMultiply copies Winamp2 cursors from 8 base cursors, saving you a lot of Save As :D
REM
echo CursorMultiply
echo -------------------------------
echo Checking original files...
echo.

:c1
IF NOT EXIST normal.cur goto c1No
goto c1Yes

:c1No
echo NORMAL.CUR does not exist. Cannot create EQNORMAL.CUR, PNORMAL.CUR or PWSNORM.CUR. Terminating program.
goto lastline

:c1Yes
echo NORMAL.CUR exists.
GOTO c2

:c2
IF NOT EXIST winbut.cur goto c2No
goto c2Yes

:c2No
echo WINBUT.CUR does not exist. Cannot create PWINBUT.CUR or WSWINBUT.CUR. Terminating program.
goto lastline

:c2Yes
echo WINBUT.CUR exists.
GOTO c3

:c3
IF NOT EXIST close.cur goto c3No
goto c3Yes

:c3No
echo CLOSE.CUR does not exist. Cannot create EQCLOSE.CUR, PCLOSE.CUR or WSCLOSE.CUR. Terminating program.
goto lastline

:c3Yes
echo CLOSE.CUR exists.
GOTO c4

:c4
IF NOT EXIST eqslid.cur goto c4No
goto c4Yes

:c4No
echo EQSLID.CUR does not exist. Cannot create PVSCROLL.CUR. Terminating program.
goto lastline

:c4Yes
echo EQSLID.CUR exists.
GOTO c5

:c5
IF NOT EXIST mainmenu.cur goto c5No
goto c5Yes

:c5No
echo MAINMENU.CUR does not exist. Cannot create MMENU.CUR. Terminating program.
goto lastline

:c5Yes
echo MAINMENU.CUR exists.
GOTO c6

:c6
IF NOT EXIST titlebar.cur goto c6No
goto c6Yes

:c6No
echo TITLEBAR.CUR does not exist. Cannot create EQTITLE.CUR or PTBAR.CUR. Terminating program.
goto lastline

:c6Yes
echo TITLEBAR.CUR exists.
GOTO c7

:c7
IF NOT EXIST posbar.cur goto c7No
goto c7Yes

:c7No
echo POSBAR.CUR does not exist. Cannot create VOLBAL.CUR, VOLBAR.CUR, PWSSIZE.CUR, SONGNAME.CUR or WSPOSBAR.CUR. Terminating program.
goto lastline

:c7Yes
echo POSBAR.CUR exists.
GOTO c8

:c8
IF NOT EXIST min.cur goto c8No
goto c8Yes

:c8No
echo MIN.CUR does not exist. Cannot create WSMIN.CUR. Terminating program.
goto lastline

:c8Yes
echo MIN.CUR exists.
GOTO c9

:c9
IF NOT EXIST psize.cur goto c9No
goto c9Yes

:c9No
echo PSIZE.CUR does not exist.
echo No cursors are made from this file but it is used
echo when hovering over the bottom right corner of the
echo Playlist to show the resizer region. It is
echo recommended that you create a file PSIZE.CUR.
echo.
INPUT Do you wish to continue program? (y\n) /1
IF %ANS%==Y GOTO allpres
goto lastline

:c9Yes
echo PSIZE.CUR exists.
GOTO allpres

:allpres
ECHO.
ECHO.
ECHO.
ECHO If cursors are already present, you will be given
ECHO the option to overwrite them. If you are unsure
ECHO always press 'n'.
echo.
echo PRESS CTRL-C (THEN Y+ENTER) TO CANCEL
ECHO.
INPUT Do you wish to continue program? (y\n) /1
IF %ANS%==Y GOTO 1
goto lastline


:1
if exist EQNORMAL.cur GOTO 1exist
copy normal.cur eqnormal.cur
GOTO 2

:1exist
INPUT File EQNORMAL.CUR already exists. Overwrite? (y\n) /1
IF %ANS%==Y GOTO 1yes
goto 2

:1yes
copy normal.cur eqnormal.cur

:2
if exist PNORMAL.cur GOTO 2exist
copy normal.cur pnormal.cur
GOTO 3

:2exist
INPUT File PNORMAL.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 2yes
goto 3

:2yes
copy normal.cur pnormal.cur

:3
if exist PWSNORM.cur GOTO 3exist
copy normal.cur pwsnorm.cur
GOTO 4

:3exist
INPUT File PWSNORM.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 3yes
goto 4

:3yes
copy normal.cur pwsnorm.cur

:4
if exist wsnormal.cur GOTO 4exist
copy normal.cur wsnormal.cur
GOTO 5

:4exist
INPUT File WSNORMAL.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 4yes
goto 5

:4yes
copy normal.cur wsnormal.cur

:5
if exist pwinbut.cur GOTO 5exist
copy winbut.cur pwinbut.cur
GOTO 6

:5exist
INPUT File PWINBUT.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 5yes
goto 6

:5yes
copy winbut.cur pwinbut.cur

:6
if exist wswinbut.cur GOTO 6exist
copy winbut.cur wswinbut.cur
GOTO 7

:6exist
INPUT File WSWINBUT.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 6yes
goto 7

:6yes
copy winbut.cur wswinbut.cur

:7
if exist eqclose.cur GOTO 7exist
copy close.cur eqclose.cur
GOTO 8

:7exist
INPUT File EQCLOSE.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 7yes
goto 8

:7yes
copy close.cur eqclose.cur

:8
if exist pclose.cur GOTO 8exist
copy close.cur pclose.cur
GOTO 9

:8exist
INPUT File PCLOSE.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 8yes
goto 9

:8yes
copy close.cur pclose.cur

:9
if exist wsclose.cur GOTO 9exist
copy close.cur wsclose.cur
GOTO 10

:9exist
INPUT File WSCLOSE.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 9yes
goto 10

:9yes
copy close.cur wsclose.cur

:10
if exist pvscroll.cur GOTO 10exist
copy eqslid.cur pvscroll.cur
GOTO 11

:10exist
INPUT File PVSCROLL.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 10yes
goto 11

:10yes
copy eqslid.cur pvscroll.cur

:11
if exist mmenu.cur GOTO 11exist
copy mainmenu.cur mmenu.cur
GOTO 12

:11exist
INPUT File MMENU.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 11yes
goto 12

:11yes
copy mainmenu.cur mmenu.cur

:12
if exist eqtitle.cur GOTO 12exist
copy titlebar.cur eqtitle.cur
GOTO 13

:12exist
INPUT File EQTITLE.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 12yes
goto 13

:12yes
copy titlebar.cur eqtitle.cur

:13
if exist ptbar.cur GOTO 13exist
copy titlebar.cur ptbar.cur
GOTO 14

:13exist
INPUT File PTBAR.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 13yes
goto 14

:13yes
copy titlebar.cur ptbar.cur

:14
if exist volbal.cur GOTO 14exist
copy posbar.cur volbal.cur
GOTO 15

:14exist
INPUT File VOLBAL.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 14yes
goto 15

:14yes
copy posbar.cur volbal.cur

:15
if exist volbar.cur GOTO 15exist
copy posbar.cur volbar.cur
GOTO 16

:15exist
INPUT File VOLBAR.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 15yes
goto 16

:15yes
copy posbar.cur volbar.cur

:16
if exist pwssize.cur GOTO 16exist
copy posbar.cur pwssize.cur
GOTO 17

:16exist
INPUT File PWSSIZE.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 16yes
goto 17

:16yes
copy posbar.cur pwssize.cur

:17
if exist songname.cur GOTO 17exist
copy posbar.cur songname.cur
GOTO 18

:17exist
INPUT File SONGNAME.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 17yes
goto 18

:17yes
copy posbar.cur songname.cur

:18
if exist wsposbar.cur GOTO 18exist
copy posbar.cur wsposbar.cur
GOTO 19

:18exist
INPUT File WSPOSBAR.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 18yes
goto 19

:18yes
copy posbar.cur wsposbar.cur

:19
if exist wsmin.cur GOTO 19exist
copy min.cur wsmin.cur
GOTO END

:19exist
INPUT File WSMIN.CUR already exists. Overwrite? (y\n) /1
key
IF %ANS%==Y goto 19yes
goto END

:19yes
copy min.cur wsmin.cur
GOTO END

:END
echo Complete.
GOTO lastline

:LASTLINE
SET ANS=